using MongoDB.Bson.Serialization.Attributes;
using Robware.Auth.API;
using System;

namespace Robware.Data.ApiKeys.State {
	public class ApiKeyState {
		public ApiKeyState(ApiKey apiKey) {
			Name = apiKey.Name;
			IssueTimestamp = apiKey.IssueTimestamp;
			Key = apiKey.Key;
			Enabled = apiKey.Enabled;
		}

		[BsonId]
		public string Key { get; set; }
		public string Name { get; set; }
		public DateTime IssueTimestamp { get; set; }
		public bool Enabled { get; set; }
	}
}