﻿using System.Collections.Generic;
using System.Threading.Tasks;

namespace Robware.Auth.API {
	public interface IApiKeys {
		Task<ApiKey> Get(string apiKey);
		Task<ApiKey> Create(string name);
		Task<IEnumerable<ApiKey>> GetAll();
		Task<bool> Delete(string key);
		Task<bool> Update(ApiKey apiKey);
	}
}